package com.bpcl.lpg.core.utill;

import com.bpcl.lpg.facades.data.FetchPaymentDetailsRequestData;
import org.apache.commons.lang3.StringUtils;
import com.bpcl.lpg.facades.data.LpgRequestData;

public class LpgCoreUtil
{
    public static void populateBasicRequestDataForRSP(final LpgRequestData requestData, final String uniqueApiReqNo, final String endPointName) {
        requestData.setUniqueAPIReqNo(uniqueApiReqNo);
        requestData.setRequestType(uniqueApiReqNo);
        requestData.setEndPointName(endPointName);
        if (StringUtils.isBlank((CharSequence)requestData.getPartnerTransId())) {
            requestData.setPartnerTransId("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getLpgId())) {
            requestData.setLpgId("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getDistCode())) {
            requestData.setDistCode("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getConsumerNo())) {
            requestData.setConsumerNo("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getRequestType())) {
            requestData.setRequestType("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getAddl1())) {
            requestData.setAddl1("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getAddl2())) {
            requestData.setAddl2("");
        }
        if (StringUtils.isBlank((CharSequence)requestData.getAddl3())) {
            requestData.setAddl3("");
        }
    }
    
    public static void populateDataForFetchPaymentDetails(final FetchPaymentDetailsRequestData data) {
        if (StringUtils.isBlank((CharSequence)data.getContact_Number())) {
            data.setContact_Number("");
        }
        if (StringUtils.isBlank((CharSequence)data.getAuth_Mode())) {
            data.setAuth_Mode("");
        }
        if (StringUtils.isBlank((CharSequence)data.getAuth_Value())) {
            data.setAuth_Value("");
        }
        if (StringUtils.isBlank((CharSequence)data.getConsumer_Number())) {
            data.setConsumer_Number("");
        }
        if (StringUtils.isBlank((CharSequence)data.getLPG_ID())) {
            data.setLPG_ID("");
        }
        if (StringUtils.isBlank((CharSequence)data.getDist_Code())) {
            data.setDist_Code("");
        }
        if (StringUtils.isBlank((CharSequence)data.getAddl1())) {
            data.setAddl1("");
        }
        if (StringUtils.isBlank((CharSequence)data.getAddl2())) {
            data.setAddl2("");
        }
        if (StringUtils.isBlank((CharSequence)data.getAddl3())) {
            data.setAddl3("");
        }
    }
}
